+1
Package 
https://dist.apache.org/repos/dist/dev/royale/0.9.1/rc1/apache-royale-0.9.1-src.tar.gz
Java 1.8
OS: Mac OS X x86_64 10.12.6
Source kit signatures match: y
Source kit builds: y
README is ok: y
RELEASE_NOTES is ok: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or archives: y
No unapproved binaries: y

Package 
https://dist.apache.org/repos/dist/dev/royale/0.9.1/rc1/binaries/apache-royale-0.9.1-bin-js-swf.tar.gz
Binary kit signatures match: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or archives in binary package: y
No unapproved binaries in binary package: y

I could not get the approval script to finish correctly, but:

* I was able to build the compiler and frameworks
* I tested that the artifacts worked in VS Code
* I tested that I was able to build the sample applications
* I tested that I was able to build my own application.
* I noticed that some places “the original code” refers to ASC 2 and other 
places it refers to Flex. I’m assuming that was intentional.

I was not able to install the js-swf version using npm. I noticed that Om just 
commented that he’s checking in a fix for that. I’m unclear on whether we can 
fix this before the next release, but even js-only is better than nothing.

Harbs

> On Feb 11, 2018, at 8:25 PM, Piotr Zarzycki <piotrzarzyck...@gmail.com> wrote:
> 
> +1 (Binding)
> 
> Following tests has been performed:
> - I checked IDE compatible binaries with Moonshine IDE - build couple of
> mine examples - OK
> - I checked Maven artifacts and build using them all my examples - OK
> - I have build sources using Maven. I didn't run ANT build. - OK
> 
> I didn't use ApprovalScript, cause it didn't work for me. - Details
> mentioned in Discuss.
> 
> README - we could add more details related to fixes for DataGrid component.
> Let's do this in the next release!
> 
> Thanks, Piotr
> 
> 
> 
> 2018-02-08 21:02 GMT+01:00 Alex Harui <aha...@adobe.com.invalid>:
> 
>> +1
>> Package
>> https://dist.apache.org/repos/dist/dev/royale/0.9.1/rc1/
>> apache-royale-0.9.1
>> -src.tar.gz
>> Java 1.8
>> OS: Mac OS X x86_64 10.12.5
>> Source kit signatures match: y
>> Source kit builds: y
>> README is ok: y
>> RELEASE_NOTES is ok: y
>> NOTICE is ok: y
>> LICENSE is ok: y
>> No unapproved licenses or archives: y
>> No unapproved binaries: y
>> 
>> 
>> Package
>> https://dist.apache.org/repos/dist/dev/royale/0.9.1/rc1/
>> binaries/apache-roy
>> ale-0.9.1-bin-js-swf.tar.gz
>> Binary kit signatures match: y
>> NOTICE is ok: y
>> LICENSE is ok: y
>> No unapproved licenses or archives in binary package: y
>> No unapproved binaries in binary package: y
>> 
>> 
>> 
>> 
>> On 2/8/18, 11:58 AM, "Alex Harui" <aha...@adobe.com.INVALID> wrote:
>> 
>>> Hi,
>>> 
>>> This is vote for the 0.9.1 release of Apache Royale.
>>> 
>>> The release candidate can be found here;
>>> https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fdist.apac
>>> he.org%2Frepos%2Fdist%2Fdev%2Froyale%2F0.9.1%2Frc1%2F&
>> data=02%7C01%7Caharu
>>> i%40adobe.com%7C249d7363c28c4ff6a24308d56f2e
>> 5765%7C71f1da39c0a84d5a8d88a67
>>> b23c30bf4%7C0%7C0%7C636537167178722263&sdata=
>> aVaTU9jR5UiDlLc8riHGHMfxCSOMl
>>> Fi43IehIDsvwa8%3D&reserved=0
>>> 
>>> Before voting please review the section,'What are the ASF requirements on
>>> approving a release?', at:
>>> https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fwww.apache
>>> .org%2Fdev%2Frelease.html%23approving-a-release&data=02%
>> 7C01%7Caharui%40ad
>>> obe.com%7C249d7363c28c4ff6a24308d56f2e5765%7C71f1da39c0a84d5a8d88a67b23c3
>> 0
>>> bf4%7C0%7C0%7C636537167178722263&sdata=p%2Fbj8jT5O5srU%
>> 2B3xmXJeNU1PZDiKvWG
>>> K7MjXGcNJsQY%3D&reserved=0
>>> 
>>> At a minimum you would be expected to check that:
>>> - MD5 and signed packages are correct
>>> - README, RELEASE_NOTES, NOTICE and LICENSE files are all fine
>>> - That the build script completes successfully
>>> - That you can compile and cross-compile a simple example using the SDK.
>>> 
>>> The source package is a combination of the 3 main Royale repos.
>>> 
>>> To use the binary package, unzip it into a folder.  The -js package is
>>> ready-to-use in an IDE or command-line.  If you need SWF output, use the
>>> -royale package and use Apache Ant to run the InstallAdobeSDKs script via:
>>> ant -f InstallAdobeSDKs.xml
>>> 
>>> You may also get the binary packages via NPM.  The -js package can be
>>> installed via:
>>> 
>>> npm install
>>> https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fdist.apac
>>> he.org%2Frepos%2Fdist%2Fdev%2Froyale%2F0.9.1%2Frc1%
>> 2Fbinaries%2Fapache-roy
>>> &data=02%7C01%7Caharui%40adobe.com%7C249d7363c28c4ff6a24308d56f2e
>> 5765%7C71
>>> f1da39c0a84d5a8d88a67b23c30bf4%7C0%7C0%7C636537167178722263&
>> sdata=Rv6NjuIH
>>> gTh2tSfIfSWh0ySnAcpjMLrSBi4Fz3%2B4GCI%3D&reserved=0
>>> ale-0.9.1-bin-js.tar.gz -g
>>> 
>>> The full package with SWF support can be installed via:
>>> 
>>> npm install
>>> https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fdist.apac
>>> he.org%2Frepos%2Fdist%2Fdev%2Froyale%2F0.9.1%2Frc&data=02%
>> 7C01%7Caharui%40
>>> adobe.com%7C249d7363c28c4ff6a24308d56f2e5765%
>> 7C71f1da39c0a84d5a8d88a67b23c
>>> 30bf4%7C0%7C0%7C636537167178722263&sdata=o4uzi6BfUUt6%2FB8XkVwrJdx40I%
>> 2Fc%
>>> 2FJ1DwSGOKc2vd5I%3D&reserved=0{rc}/binaries/apache-
>>> royale-0.9.1-bin-js-swf.tar.gz -g
>>> 
>>> Maven artifacts are staged here:
>>> https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Frepositor
>>> y.apache.org%2Fcontent%2Frepositories%2Forgapacheroyale-1013&data=
>> 02%7C01%
>>> 7Caharui%40adobe.com%7C249d7363c28c4ff6a24308d56f2e
>> 5765%7C71f1da39c0a84d5a
>>> 8d88a67b23c30bf4%7C0%7C0%7C636537167178722263&sdata=
>> b71yc5owyt%2F%2FgTNG4g
>>> cXc7VtK1F2blb5hJkoWzuXLUY%3D&reserved=0
>>> 
>>> Please vote to approve this release:
>>> +1 Approve the release
>>> -1 Disapprove the release (please provide specific comments to why)
>>> 
>>> This vote will be open for 72 hours or until a result can be called.
>>> 
>>> The vote passes if there is:
>>> - At least 3 +1 votes from the PMC
>>> - More positive votes than negative votes
>>> 
>>> Remember that this is a 'beta-quality' release so I expect there
>>> will be many bugs found.  IMO the goal is not to try to find and fix bugs
>>> in the RC, but to make sure we have the packaging right, and enough
>>> functionality that folks will have some success trying to use it.
>>> 
>>> People who are not in PMC are also encouraged to test out the release and
>>> vote, although their votes will not be binding, they can influence how the
>>> PMC votes.
>>> 
>>> When voting please indicate what OS, IDE, Flash Player version and AIR
>>> version you tested with.
>>> 
>>> For your convenience, there is an ant script that automates the common
>>> steps to validate a release.  Instead of individually downloading the
>>> package and signature files, unzipping, etc, you can instead:
>>> 1) create an empty folder,
>>> 2) download into that folder this file:
>>> https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fdist.apac
>>> he.org%2Frepos%2Fdist%2Fdev%2Froyale%2F0.9.1%2Frc1%
>> 2FApproveRoyale.xml&dat
>>> a=02%7C01%7Caharui%40adobe.com%7C249d7363c28c4ff6a24308d56f2e
>> 5765%7C71f1da
>>> 39c0a84d5a8d88a67b23c30bf4%7C0%7C0%7C636537167178722263&
>> sdata=hN76MHp%2Bdo
>>> K3%2Fx46C9WRc%2F7gm7eXo0SP1oiFpDiv8O8%3D&reserved=0
>>> 3) run the script:
>>>  ant -e -f ApproveRoyale.xml -Drelease.version=0.9.1 -Drc=1
>>>  If you want to test SWF support during the approval, use:
>>>  ant -e -f ApproveRoyale.xml -Drelease.version=0.9.1 -Drc=1
>>> -Duse-flash=true
>>> 
>>> You are not required to use this script, and more testing of the packages
>>> and build results are always encouraged.
>>> 
>>> 
>>> Please put all discussion about this release in the DISCUSSION thread not
>>> this VOTE thread.
>>> 
>>> Thanks,
>>> Alex Harui
>>> 
>> 
>> 
> 
> 
> -- 
> 
> Piotr Zarzycki
> 
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*

Reply via email to